{% load static %}
<nav
  class="navbar navbar-expand-lg navbar-light bg-transparent d-flex justify-content-between px-1 mx-4"
>
  <button
    class="navbar-toggler"
    type="button"
    data-toggle="collapse"
    data-target="#navbartoggle"
    aria-controls="navbartoggle"
    aria-expanded="false"
    aria-label="Toggle navigation"
  >
    <span class="navbar-toggler-icon"></span>
  </button>
  <a class="navbar-brand" href="/"
    ><img src="{% static 'logo.svg' %}" class="logo"
  /></a>
  <form
    class="form-inline my-2 my-lg-0 d-none d-lg-block"
    action="{% url 'barang:barang-all'%}"
  >
    <div class="position-relative">
      <input
        class="form-control mr-sm-2 searchbar vw-25"
        type="search"
        name="filter"
        placeholder="Search for items, brands"
        aria-label="Search"
      />
      <div class="d-flex align-items-center" id="search-icon">
        <svg
          width="32"
          height="32"
          viewBox="0 0 32 32"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M20.6667 18.6667H19.6133L19.24 18.3067C20.5467 16.7867 21.3333 14.8133 21.3333 12.6667C21.3333 7.88 17.4533 4 12.6667 4C7.88 4 4 7.88 4 12.6667C4 17.4533 7.88 21.3333 12.6667 21.3333C14.8133 21.3333 16.7867 20.5467 18.3067 19.24L18.6667 19.6133V20.6667L25.3333 27.32L27.32 25.3333L20.6667 18.6667ZM12.6667 18.6667C9.34667 18.6667 6.66667 15.9867 6.66667 12.6667C6.66667 9.34667 9.34667 6.66667 12.6667 6.66667C15.9867 6.66667 18.6667 9.34667 18.6667 12.6667C18.6667 15.9867 15.9867 18.6667 12.6667 18.6667Z"
            fill="#222222"
          />
        </svg>
      </div>
    </div>
  </form>
  <div class="px-2 pr-1 d-none d-lg-flex justify-content-center">
    {% if user.is_authenticated %}
    <div class="mx-2 user-text d-flex align-items-center">
      {{user.username}}
    </div>
    {% else %}
    <div class="mx-2 user-text d-flex align-items-center">Not Logged In</div>
    {% endif %}
    <div class="nav-item dropdown d-flex align-items-center">
      <img src="{% static 'avatar.svg' %}" class="avatar" />
      <a
        class="nav-link dropdown-toggle"
        href="#"
        id="navbarDropdownMenuLink"
        role="button"
        data-toggle="dropdown"
        aria-haspopup="true"
        aria-expanded="false"
      >
      </a>
      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
        {% if user.is_authenticated %}
        {% if request.user.is_staff %}
        <a class="dropdown-item" href="{% url 'shopadmin:shop-admin' %}"
          >Admin</a
        >
        {% endif %}
        <a class="dropdown-item" href="{% url 'keranjang:keranjang' %}">Keranjang</a> 
        <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
        {% else %}
        <a class="dropdown-item" name="register" href="{% url 'register:register' %}">Register</a>
        <a class="dropdown-item" name="login" href="{% url 'login' %}">Login</a>
        {% endif %}
      </div>
    </div>
  </div>

  <div class="collapse" id="navbartoggle">
    <nav class="nav flex-column">
      <a class="nav-link" href="/">Home</a>
      <a class="nav-link" href="{% url 'kategori:kategori-default' %}"
        >Categories</a
      >
      <a class="nav-link" href="{% url 'barang:barang-all' %}">Products</a>
      <a class="nav-link" href="#">Coupons</a>
    </nav>
  </div>
</nav>
